CFPRIME GZERO                                                           GZERO       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  GZERO                                                 GZERO       3
CD -------------------------------------------------------------------  GZERO       4
CD                                                                      GZERO       5
CD              *****     GZERO   ROUTINE   *****                       GZERO       6
CD                                                                      GZERO       7
CD -------------------------------------------------------------------  GZERO       8
CD                                                                      GZERO       9
CD       PURPOSE:  Set G matrix to zero. Sets up the pointer array.     GZERO      10
CD                                                                      GZERO      11
CD                                                                      GZERO      12
CD       DEFINITION OF LOCAL VARIABLES:                                 GZERO      13
CD                 JCOL    -  matrix JCOLumn number.                    GZERO      14
CD                 I      - 'do' loop index.                            GZERO      15
CD                 JROW    -  matrix JROW number.                       GZERO      16
CD                                                                      GZERO      17
CD                                                                      GZERO      18
CD       SUBROUTINES REQUIRED:  ******                                  GZERO      19
CD                                                                      GZERO      20
CD -------------------------------------------------------------------  GZERO      21
      INCLUDE 'PARX.INS'                                                GZERO      22
      INCLUDE 'GRDC01.INS'                                              GZERO      23
      INCLUDE 'UDCJ.INS'                                                GZERO      24
C                                                                       GZERO      25
C---------------------------------------------------------------------  GZERO      26
C                                                                       GZERO      27
      ISIZEG = NUMNOD                                                   GZERO      28
C                                                                       GZERO      29
C     Zero out the full matrix.                                         GZERO      30
C                                                                       GZERO      31
      DO 40 JROW = 1, ISIZEG                                            GZERO      32
         DO 20 JCOL = 1, ISIZEG                                         GZERO      33
C                                                                       GZERO      34
            GMATRX(JROW,JCOL) = 0.0                                     GZERO      35
C                                                                       GZERO      36
20       CONTINUE                                                       GZERO      37
40    CONTINUE                                                          GZERO      38
C                                                                       GZERO      39
C                                                                       GZERO      40
      DO 60 I = 1, NUMNOD                                               GZERO      41
         NDFIND(I) = I                                                  GZERO      42
         NXFIND(I) = I                                                  GZERO      43
60    CONTINUE                                                          GZERO      44
C                                                                       GZERO      45
C                                                                       GZERO      46
C---------------------------------------------------------------------  GZERO      47
C                                                                       GZERO      48
      RETURN                                                            GZERO      49
C                                                                       GZERO      50
C---------------------------------------------------------------------  GZERO      51
C                                                                       GZERO      52
      END                                                               GZERO      53
